Mailinglist Archive: opensuse-buildservice (239 mails)

< Previous Next >
[opensuse-buildservice] Dependencies from another buildservice repo
  • From: Matthew Smith <indigojo@xxxxxxxxxxxxxxx>
  • Date: Sat, 17 May 2008 14:20:51 +0100
  • Message-id: <482EDBB3.8050607@xxxxxxxxxxxxxxx>
Hi everyone,

Matthew Smith (developer of QTM - qtm.blogistan.co.uk) here.

The latest version of my package links against the QtDBus module. However, the version of CMake supplied with openSUSE 10.3 does not seem to recognise that module, which means the compiler can't find the include files. There is a newer version of CMake, in the devel:tools:building repository.

However, both the methods I've used for using this package fail. I have linked the cmake package into my home project, but building still fails and tells me that nothing provides cmake at the version specified. I also tried editing the metadata in osc, adding this line into the repository element:

<path repository="standard" project="devel:tools:building"/>

However, it fails to save, with this error:

<?xml version="1.0" encoding="UTF-8"?>
<status code="package_save_error">
<summary>error saving project: unable to walk on path 'devel:tools:building/standard'</summary>
<details></details>
</status>

What do I need to do?

Thanks in advance,

Matt Smith

--

http://www.blogistan.co.uk/qt/
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups